svn commit: samba r4953 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Mon Jan 24 01:15:31 GMT 2005


Author: tridge
Date: 2005-01-24 01:15:30 +0000 (Mon, 24 Jan 2005)
New Revision: 4953

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=4953

Log:
- enable easy valgrind use in all our test scripts

- when valgrind isn't set, then setup MALLOC_CHECK_ to abort on error

Modified:
   branches/SAMBA_4_0/source/script/tests/test_posix.sh
   branches/SAMBA_4_0/source/script/tests/test_rpc.sh
   branches/SAMBA_4_0/source/script/tests/test_w2k3.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_posix.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_posix.sh	2005-01-24 01:04:15 UTC (rev 4952)
+++ branches/SAMBA_4_0/source/script/tests/test_posix.sh	2005-01-24 01:15:30 UTC (rev 4953)
@@ -10,6 +10,10 @@
 exit 1;
 fi
 
+if [ -z "$VALGRIND" ]; then
+    export MALLOC_CHECK_=2
+fi
+
 unc="$1"
 username="$2"
 password="$3"

Modified: branches/SAMBA_4_0/source/script/tests/test_rpc.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_rpc.sh	2005-01-24 01:04:15 UTC (rev 4952)
+++ branches/SAMBA_4_0/source/script/tests/test_rpc.sh	2005-01-24 01:15:30 UTC (rev 4953)
@@ -13,6 +13,10 @@
 exit 1;
 fi
 
+if [ -z "$VALGRIND" ]; then
+    export MALLOC_CHECK_=2
+fi
+
 server="$1"
 username="$2"
 password="$3"
@@ -40,7 +44,7 @@
      esac
    for t in $tests; do
     echo Testing $t on $transport with $bindoptions
-    testit bin/smbtorture $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*"
+    testit $VALGRIND bin/smbtorture $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*"
    done
  done
 done

Modified: branches/SAMBA_4_0/source/script/tests/test_w2k3.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_w2k3.sh	2005-01-24 01:04:15 UTC (rev 4952)
+++ branches/SAMBA_4_0/source/script/tests/test_w2k3.sh	2005-01-24 01:15:30 UTC (rev 4953)
@@ -14,6 +14,10 @@
 exit 1;
 fi
 
+if [ -z "$VALGRIND" ]; then
+    export MALLOC_CHECK_=2
+fi
+
 server="$1"
 username="$2"
 password="$3"
@@ -23,7 +27,7 @@
 testit() {
    trap "rm -f test.$$" EXIT
    cmdline="$*"
-   if ! $cmdline > test.$$ 2>&1; then
+   if ! $VALGRIND $cmdline > test.$$ 2>&1; then
        cat test.$$;
        rm -f test.$$;
        echo "TEST FAILED - $cmdline";



More information about the samba-cvs mailing list